Module | Erubis::PercentLineEnhancer
In: | erubis/enhancer.rb

regards lines starting with ’%’ as program code

this is for compatibility to eruby and ERB.

this is language-independent.

### Methods

add_text

### Included Modules

PrefixedLineEnhancer

### Public Instance methods

add_text(src, text)

[Source]

    # File erubis/enhancer.rb, line 516
        def add_text(src, text)
          unless @prefixrexp
            @prefixchar = '%'
            @prefixrexp = /^\%(.*?\r?\n)/
          end
          super(src, text)
        end

[Validate]